Skip to main content
GET
List tasks

Authorizations

api_key
string
header
required

Your Commenda Integrations API key, sent in the api_key header.

Path Parameters

companyId
integer
required

Commenda company id.

Query Parameters

limit
integer
default:20

Max records to return.

Required range: x <= 100
next
string

Cursor for the next page (from a previous response).

prev
string

Cursor for the previous page.

include_deleted_records
boolean

Include soft-deleted records.

return_count
boolean

Include the total match count in the response.

subject[eq]
string

Exact match on subject.

subject[in]
string

Comma-separated subject values (OR match).

status[eq]
enum<string>

Exact match on status.

Available options:
OPEN,
IN_PROGRESS,
COMPLETED
status[in]
string

Comma-separated status values (OR match).

priority[eq]
string

Exact match on priority.

priority[in]
string

Comma-separated priority values (OR match).

owner_id[eq]
string

Exact match on owner_id.

owner_id[in]
string

Comma-separated owner_id values (OR match).

account_id[eq]
string

Exact match on account_id.

account_id[in]
string

Comma-separated account_id values (OR match).

contact_id[eq]
string

Exact match on contact_id.

contact_id[in]
string

Comma-separated contact_id values (OR match).

opportunity_id[eq]
string

Exact match on opportunity_id.

opportunity_id[in]
string

Comma-separated opportunity_id values (OR match).

lead_id[eq]
string

Exact match on lead_id.

lead_id[in]
string

Comma-separated lead_id values (OR match).

rootfi_updated_at[eq]
string

Exact match on rootfi_updated_at.

rootfi_updated_at[in]
string

Comma-separated rootfi_updated_at values (OR match).

rootfi_updated_at[gte]
string

rootfi_updated_at greater-than-or-equal.

rootfi_updated_at[lte]
string

rootfi_updated_at less-than-or-equal.

Response

200 - application/json

A paginated list of tasks.

data
object
required
request_id
string
required